<id>
Restricted Subjects
</id>

<version>
0.2 beta
</version>

<mod info>
This is the YaBB 2.0/2.1 version of this modification.

This mod allows you to ban specific strings from being used within a post subject.  For instance, if you find that you are being spammed by someone that always uses the string "casino" in the post subject, you can stop them from being able to post on your forums.

Installation Instructions:
Apply this mod manually, or using BoardMod.
Upload the following files:

Modified by this mod:
Sources/Post.pl
Admin/ModList.pl
Admin/AdminSubList.pl
AdminIndex.pl

Included in package:
Languages/*.*
Variables/RestrictSub.txt (chmod to 666)
Admin/RestrictSub.pl
Sources/RestrictSubPerms.pl

Credits:
As always, all credits go to the YaBB development team for putting together such a great piece of software.  In addition, all credits go to the BoardMod development team for the same reasons.

Changelog:
From 0.1 beta
Changed a few language strings that didn't make any sense (they were copied from the BanGuest mod, and not changed before this mod was released).
Added a mention of the new "Sources" file in the description of the mod.
Took out some hidden code that I was using for testing purposes.
</mod info>

<author>
Curtiss Grymala
</author>

<homepage>
http://dchelp.dcevolution.net
</homepage>

<edit file>
Sources/Post.pl
</edit file>

<search for>
	# End Permission Checks
</search for>

<add before>
	LoadLanguage("RestrictSub");
	if (-e "$vardir/RestrictSub.txt") { require "$vardir/RestrictSub.txt"; }
	if (-e "$sourcedir/RestrictSubPerms.pl") { require "$sourcedir/RestrictSubPerms.pl"; }

	if($restrictsub_members) {
		&RestrictSub_Perm($restrictsub_members);
	}
	else {
		$error_text = $restrictsub_txt{'1c'};
		&RestrictSub_Sub($error_text);
	}
</add before>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$restrictsub_mod = "Restricted Subjects|<a href=\"http://forums.dcevolution.net/\" target=\"_blank\">Curtiss Grymala</a>|Allows you to stop guests and/or members from posting when the subject contains specific strings.|0.2|April 13, 2006";
	push (@installed_mods, "$restrictsub_mod");
</add before>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
LoadLanguage("RestrictSub");
$restrictsub_mod = "restrictsub|$restrictsub_admin_txt{'1'}|$restrictsub_admin_txt{'2'}|";
push (@boardmod_mods, "$restrictsub_mod");
</add before>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'modagreement2',"AdminEdit.pl&ModifyAgreement2",
</search for>

<add after>
'restrictsub',"RestrictSub.pl&ModifyRestrictSub",
'restrictsub2',"RestrictSub.pl&ModifyRestrictSub2",
</add after>