###############################################################################
# RestrictSub.pl                                                              #
###############################################################################
# Restricted Subject                                                          #
# Allows you to ban certain strings or whole phrases from being used in the   #
# subject of a post.                                                          #
# Version:        0.2beta (YaBB 2.0/2.1)                                      #
# Released:       April 13, 2006                                              #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Restricted Subject Admin Settings                                           #
###############################################################################

LoadLanguage("RestrictSub");
if (-e "$vardir/RestrictSub.txt") { require "$vardir/RestrictSub.txt"; }

sub ModifyRestrictSub {
	&is_admin_or_gmod;
	
$yymain .= qq~
<table>
  <tr valign="top">
    <td class="titlebg" align="left">
      <form action="$adminurl?action=restrictsub2" method="post">
      <img src="$imagesdir/xx.gif" alt="$restrictsub_admin_txt{'1'}" border="0" />
      <b>$restrictsub_admin_txt{'1'}</b>
      <br /><span style="font-size: 11px; font-style: italic;">$restrictsub_admin_txt{'2'}</span>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="left">
      $restrictsub_admin_txt{'3'}
      <br /><span style="font-size: 11px; font-style: italic;">$restrictsub_admin_txt{'4'}</span>
    </td>
  </tr>
  <tr valign="top">
  	 <td class="windowbg2" align="left">
  		<textarea name="restrictsub_strings">~;
foreach $ban_name (@restrictsub_strings) {
	$yymain .= qq~$ban_name
~;
}
$yymain .= qq~</textarea>
	 </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="left">
      $restrictsub_admin_txt{'5'}
      <br /><span style="font-size: 11px;font-style: italic;">$restrictsub_admin_txt{'6'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      <textarea name="restrictsub_names">~;
foreach $ban_name (@restrictsub_names) {
	$yymain .= qq~$ban_name
~;
}
$yymain .= qq~</textarea>
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg" align="left">
  		$restrictsub_admin_txt{'8'}
  	</td>
  </tr>~;
  
$restrictsub_select{'1'} = "";
$restrictsub_select{'2'} = "";
$restrictsub_select{'3'} = "";
$restrictsub_select{'4'} = "";
$restrictsub_select{'5'} = "";

if($FORM{'restrictsub_members'}) {
	$trestrictsub_members = $FORM{'restrictsub_members'};
	$restrictsub_select{$trestrictsub_members} = qq~ selected="selected"~;
	$trestrictsub_members = "";
}
elsif($restrictsub_members) {
	$restrictsub_select{$restrictsub_members} = qq~ selected="selected"~;
}
else {
	$restrictsub_select{'1'} = qq~ selected="selected"~;
}

$yymain .= qq~
  <tr valign="top">
  	<td class="windowbg2">
  		<select name="restrictsub_members" size="1">
  			<option value="1"$restrictsub_select{'1'}>$restrictsub_admin_txt{'9'}</option>
  			<option value="2"$restrictsub_select{'2'}>$restrictsub_admin_txt{'10'}</option>
  			<option value="3"$restrictsub_select{'3'}>$restrictsub_admin_txt{'11'}</option>
  			<option value="4"$restrictsub_select{'4'}>$restrictsub_admin_txt{'12'}</option>
  			<option value="5"$restrictsub_select{'5'}>$restrictsub_admin_txt{'13'}</option>
  		</select>
  <tr valign="top">
    <td class="windowbg3" align="center">
      <input type="submit" name="submit" value="$restrictsub_admin_txt{'7'}" />
      </form>
    </td>
  </tr>
</table>
~;

	$yytitle = "$restrictsub_admin_txt{'1'}";
	$action_area = "restrictsub";
	&AdminTemplate;
	exit;
}

sub ModifyRestrictSub2 {
	&is_admin_or_gmod;
if($FORM{'restrictsub_strings'}) {
	$restrictsub_strings = "\@restrictsub_strings = ('".$FORM{'restrictsub_strings'}."');";
	$restrictsub_strings =~ s/\r/', '/g;
	$restrictsub_strings =~ s/\n//g;
	$restrictsub_strings =~ s/, ''//g;
}
if($FORM{'restrictsub_names'}) {
	$restrictsub_names = "\@restrictsub_names = ('".$FORM{'restrictsub_names'}."');";
	$restrictsub_names =~ s/\r/', '/g;
	$restrictsub_names =~ s/\n//g;
	$restrictsub_names =~ s/, ''//g;
}

@perm_strings = (' # Only Guests will be prevented from posting with restricted subjects.',' # Only Members will be prevented from posting with restricted subjects.',' # All posters will be prevented from posting with restricted subjects.',' # All posters, except for Admins, will be prevented from posting with restricted subjects.',' # All posters, except for Admins and Gmods will be prevented from posting with restricted subjects.');

$perm_output = qq~\$restrictsub_members = $FORM{'restrictsub_members'};~;

$i = 1;
foreach $perm_note (@perm_strings) {
	if($FORM{'restrictsub_members'} == $i) {
		$perm_output .= $perm_note;
	}
	$i++;
}
	
	$output = qq~###############################################################################
# RestrictSub.txt                                                             #
###############################################################################
# Restricted Subjects                                                         #
# Variable Values For RestrictSub                                             #
# Version:        0.2beta (YaBB 2.0/2.1)                                      #
# Released:       April 13, 2006                                              #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# RestrictSub Variable Definitions                                            #
###############################################################################

$restrictsub_strings
$restrictsub_names
$perm_output
~;

$output .= q~
1;~;

fopen(RESTRICTSUBSETTINGS, ">$vardir/RestrictSub.txt");
	print RESTRICTSUBSETTINGS $output;
	fclose(RESTRICTSUBSETTINGS); 
 	$yySetLocation = qq~$adminurl?action=restrictsub~;
	&redirectexit;
}